import { BlockNoteEditor, DefaultProps } from "@blocknote/core";
type TextAlignment = DefaultProps["textAlignment"];
export declare const TextAlignButton: <BSchema extends Record<string, import("@blocknote/core").BlockConfig>>(props: {
    editor: BlockNoteEditor<BSchema, any, any>;
    textAlignment: TextAlignment;
}) => import("react/jsx-runtime").JSX.Element | null;
export {};
